import { AuthDto } from "../dtos/auth.dto";
import { SessionCreateDto, SessionCreateResponseDto, SessionResponseDto, SessionUpdateDto } from "../dtos/session.dto";
import { JobStatus } from "../enum";
import { ArgOf } from "../repositories/event.repository";
import { BaseService } from "./base.service";
export declare class SessionService extends BaseService {
    handleCleanup(): Promise<JobStatus>;
    create(auth: AuthDto, dto: SessionCreateDto): Promise<SessionCreateResponseDto>;
    getAll(auth: AuthDto): Promise<SessionResponseDto[]>;
    update(auth: AuthDto, id: string, dto: SessionUpdateDto): Promise<SessionResponseDto>;
    delete(auth: AuthDto, id: string): Promise<void>;
    deleteAll(auth: AuthDto): Promise<void>;
    lock(auth: AuthDto, id: string): Promise<void>;
    onAuthChangePassword({ userId, currentSessionId }: ArgOf<'AuthChangePassword'>): Promise<void>;
}
